<?php

declare(strict_types=1);

namespace App\Framework\EventSourcing;

final readonly class EventMetadata
{
    public function __construct(
        public string  $actor,
        public ?string $commandId = null,
        public array   $context = []
    ) {
    }
}
